Bug 133302 - Redo from instantaneous to 3 minutes waiting time
Summary: Redo from instantaneous to 3 minutes waiting time
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.1 rc
Hardware: All All
: high major
Assignee: Luboš Luňák
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2020-05-23 11:26 UTC by Telesto
Modified: 2020-06-16 15:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (1.24 MB, application/vnd.oasis.opendocument.spreadsheet)
2020-05-23 11:26 UTC, Telesto
Details
Bibisect log (2.91 KB, text/plain)
2020-05-23 11:27 UTC, Telesto
Details
Example file (1.75 MB, application/vnd.oasis.opendocument.spreadsheet)
2020-05-23 18:11 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-23 11:26:30 UTC
Description:
Redo from instantaneous to 3 minutes

Steps to Reproduce:
1. Open the attached file
2. Copy column a b and c
3. Paste it in DEF and GHI
4. CTRL+Z CTRL+Z
5. CTRL+Y -> Hang

Actual Results:
Takes 3 minutes for redo

Expected Results:
Instant as before


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha1+ (x64)
Build ID: 9a7c5d38a7a43c75c0f3d2f0c725196e916d0260
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-05-23 11:26:47 UTC
Created attachment 161187 [details]
Example file
Comment 2 Telesto 2020-05-23 11:27:07 UTC
Created attachment 161188 [details]
Bibisect log
Comment 3 Telesto 2020-05-23 11:28:15 UTC
Bisected to
author	Dennis Francis <dennis.francis@collabora.com>	2019-03-26 16:50:44 +0530
committer	Eike Rathke <erack@redhat.com>	2019-03-28 22:43:28 +0100
commit	e7d0785a7d2a07e64dc58dee4f1b072a72e32aa5 (patch)
tree	b0e732c070445306f2950b7abdd32a5229df9481
parent	ee92196179d7697a514e55774be09cbf60f2c466 (diff)
tdf#120660: Populate rNewSharedRows even if no FC...
at specified position. At least in case of ScUndoPaste, during
undo operation, the content from changed area in main-document
is removed before actual undo-paste, so when cloned formula-cell
from undo-doc is inserted to main-doc, there is no "old" cell
to detach, so "rNewSharedRows" is not populated which is needed
for proper re-establishment of listeners if there are formula/
formula-groups adjacent to insertion position.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e7d0785a7d2a07e64dc58dee4f1b072a72e32aa5
Comment 4 Telesto 2020-05-23 18:11:45 UTC
Created attachment 161196 [details]
Example file

Another way (same result)
1. Open the attached file
2. Select columns D E F
3. Cut
4. Paste in G1
5. Undo
Comment 5 b. 2020-05-24 12:22:26 UTC
OP and c#4 repro with:

Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: de-DE (en_US.UTF-8); UI: en-US
Calc:
Comment 6 Telesto 2020-05-26 10:45:37 UTC
Adding CC to Dennis Francis
Comment 7 Commit Notification 2020-06-09 07:50:21 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a97539174fd7f76713291dd4e8138adb1f776c91

delay and batch calls to StartListeningFormulaCells() (tdf#133302)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-06-10 11:21:37 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/9de418852e852ba1c12503abcd148163d0c51bed

delay and batch calls to StartListeningFormulaCells() (tdf#133302)

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-06-16 15:26:52 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 11d21b3c1f7754b5d13ae9ea88da562ec74366ff
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Luboš Luňák, thanks for fixing this issue!!